View Issue Details

IDProjectCategoryView StatusLast Update
0033081FPCDatabasepublic2018-09-23 17:12
ReporterMichal GawryckiAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionProduct Build37892 
Target Version3.2.0Fixed in Version3.1.1 
Summary0033081: TDataSet.ClearFields should check if dataset is in edit mode.
DescriptionFollowing the documentation, TDataSet.ClearFields should check if dataset is in edit mode and raise an exception if it is not.

https://www.freepascal.org/docs-html/fcl/db/tdataset.clearfields.html
TagsNo tags attached.
Fixed in Revision38064
FPCOldBugId
FPCTarget
Attached Files
  • clearfields-dataset.inc.patch (430 bytes)
    Index: packages/fcl-db/src/base/dataset.inc
    ===================================================================
    --- packages/fcl-db/src/base/dataset.inc	(revision 37892)
    +++ packages/fcl-db/src/base/dataset.inc	(working copy)
    @@ -1504,6 +1504,7 @@
     
     
     begin
    +  if not (State in dsEditModes) then DatabaseError(SNotEditing, Self);
       DataEvent(deCheckBrowseMode, 0);
       FreeFieldBuffers;
       InternalInitRecord(ActiveBuffer);
    

Activities

Michal Gawrycki

2018-01-26 23:49

reporter  

clearfields-dataset.inc.patch (430 bytes)
Index: packages/fcl-db/src/base/dataset.inc
===================================================================
--- packages/fcl-db/src/base/dataset.inc	(revision 37892)
+++ packages/fcl-db/src/base/dataset.inc	(working copy)
@@ -1504,6 +1504,7 @@
 
 
 begin
+  if not (State in dsEditModes) then DatabaseError(SNotEditing, Self);
   DataEvent(deCheckBrowseMode, 0);
   FreeFieldBuffers;
   InternalInitRecord(ActiveBuffer);

Michael Van Canneyt

2018-01-28 11:00

administrator   ~0106087

Applied the patch, thank you!

Michal Gawrycki

2018-09-23 17:12

reporter   ~0110982

Closed. Thanks.

Issue History

Date Modified Username Field Change
2018-01-26 23:49 Michal Gawrycki New Issue
2018-01-26 23:49 Michal Gawrycki File Added: clearfields-dataset.inc.patch
2018-01-28 10:33 Michael Van Canneyt Assigned To => Michael Van Canneyt
2018-01-28 10:33 Michael Van Canneyt Status new => assigned
2018-01-28 11:00 Michael Van Canneyt Fixed in Revision => 38064
2018-01-28 11:00 Michael Van Canneyt Note Added: 0106087
2018-01-28 11:00 Michael Van Canneyt Status assigned => resolved
2018-01-28 11:00 Michael Van Canneyt Fixed in Version => 3.1.1
2018-01-28 11:00 Michael Van Canneyt Resolution open => fixed
2018-01-28 11:00 Michael Van Canneyt Target Version => 3.2.0
2018-09-23 17:12 Michal Gawrycki Note Added: 0110982
2018-09-23 17:12 Michal Gawrycki Status resolved => closed